import { PerBuildMinOptions } from "./bundlib-options";
import { Nullable } from "./types";
export declare type MinString = "main" | "module" | "browser" | "bin";
export declare type MinOption = Nullable<MinString | MinString[] | boolean>;
export declare type MinGlobal = Record<MinString, boolean>;
export declare function isMinString(value: any): value is MinString;
export declare function isValidMinOption(value: any): value is MinOption;
export declare function normalizeMinOption(min: MinOption): MinGlobal;
export declare function normalizeBuildMin(build: Nullable<PerBuildMinOptions>, field: MinString, def: MinGlobal): boolean;
