import { PerBuildModuleOptions } from "./bundlib-options";
import { Nullable } from "./types";
export declare type ModuleString = "main" | "browser" | "bin";
export declare type ModuleOption = Nullable<ModuleString | ModuleString[] | boolean>;
export declare type ModuleGlobal = Record<ModuleString, boolean>;
export declare function isModuleString(value: unknown): value is ModuleString;
export declare function isModuleOption(value: unknown): value is ModuleOption;
export declare function normalizeModuleOption(option: ModuleOption): ModuleGlobal;
export declare function normalizeBuildModule(build: Nullable<PerBuildModuleOptions>, key: keyof PerBuildModuleOptions, field: ModuleString, def: ModuleGlobal): boolean;
