import { IsExternal, OutputOptions as RollupOutputOptions, Plugin, RollupOptions, WatcherOptions as RollupWatcherOptions } from "rollup";
export declare type Nullable<T> = T | null | undefined;
export declare type RollupSourcemap = boolean | "inline";
export declare type FilterablePlugins = Array<Nullable<Plugin | false | "">>;
export declare type ModuleBuildFormat = "cjs" | "es";
export declare type BrowserBuildFormat = "iife" | "amd" | "umd";
export declare type BundlibBuildFormat = ModuleBuildFormat | BrowserBuildFormat;
export interface BundlibRollupModuleOutputOptions extends RollupOutputOptions {
    file: string;
    format: BundlibBuildFormat;
    sourcemap: RollupSourcemap;
    esModule: boolean;
    interop: boolean;
}
export interface BundlibRollupBrowseOutputOptions extends BundlibRollupModuleOutputOptions {
    name: string;
    extend: boolean;
    globals: Record<string, string>;
    amd?: {
        id: string;
    };
}
export interface BundlibRollupOptions<OutputOptions extends BundlibRollupModuleOutputOptions> extends RollupOptions {
    input: string;
    output: OutputOptions;
    external: IsExternal;
    plugins: Plugin[];
    watch: RollupWatcherOptions;
}
export interface BundlibAPIOptions {
    dev?: boolean;
    watch?: boolean;
}
